/*
 *  mSock: Non-blocking client and server classes.
 *  PSP Version
 */

#include <string>

struct mSock_data;

class mSock {
public:
	mSock(const char* hostname, unsigned short port);
	~mSock();

	bool isValid();
	void doEvents();
	void close();

	void put(const char* data);
	void put(const char* data, int count);
	std::string get();

private:
	mSock_data* d;
};